<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net8.0</TargetFramework>
		<ImplicitUsings>enable</ImplicitUsings>
		<Platforms>AnyCPU;x64</Platforms>
	</PropertyGroup>

	<ItemGroup>
	  <Compile Remove="MoneyManagements\Abstractions\**" />
	  <EmbeddedResource Remove="MoneyManagements\Abstractions\**" />
	  <None Remove="MoneyManagements\Abstractions\**" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="FluentValidation" Version="11.9.1" />
		<PackageReference Include="MediatR" Version="12.2.0" />
		<PackageReference Include="MediatR.Extensions.Microsoft.DependencyInjection" Version="11.1.0" />
		<PackageReference Include="Microsoft.AspNetCore.SignalR.Core" Version="1.1.0" />
		<PackageReference Include="Microsoft.Extensions.Configuration" Version="8.0.0" />
		<PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="8.0.0" />
		<PackageReference Include="Microsoft.Extensions.Logging" Version="8.0.0" />
		<PackageReference Include="Polly" Version="8.4.0" />
		<PackageReference Include="Skender.Stock.Indicators" Version="2.5.0" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\Managing.Application.Abstractions\Managing.Application.Abstractions.csproj" />
		<ProjectReference Include="..\Managing.Common\Managing.Common.csproj" />
		<ProjectReference Include="..\Managing.Domain\Managing.Domain.csproj" />
		<ProjectReference Include="..\Managing.Infrastructure.Database\Managing.Infrastructure.Databases.csproj" />
	</ItemGroup>

</Project>
